/**
 * Perform some changes on the HTML structure to simplify the stylesheet rules.
 */

(function ($) {

Drupal.behaviors.mapsAdmin = {

  /**
   * Attaches the MaPS Admin related behaviors.
   */
  attach: function (context, settings) {

    // Perform some changes on the HTML structure to simplify the stylesheet rules.
    $('body > #content #main_content form:not(.no_fieldset)').each(function() {
      if (!$(this).find('.sticky-header', 'fieldset').length) {
        $(this).addClass('no_fieldset');
      }
    });

    // Apply the jQuery Horizontal Scroll plugin on the main content.
    if (settings.mapsAdmin && settings.mapsAdmin.horizontalScroll) {
      $(settings.mapsAdmin.horizontalScroll).each(function() {
        var element = $(this);

        if (element[0].scrollWidth > element.outerWidth()) {
          if (!element.hasClass('mousewheel-active')) {
            element
              .bind('mousewheel', function(event, delta) {
                this.scrollLeft -= (delta * 30);
                event.preventDefault();
             })
             .addClass('mousewheel-active');
          }
        }
        // Or remove the horizontal scroll if it is no more necessary, to
        // restore the normal mousewheel behavior. This may happen with
        // AJAX callbacks.
        else if (element.hasClass('mousewheel-active')) {
          element
            .unbind('mousewheel')
            .removeClass('mousewheel-active');
        }
      });
    }

  }

};

}(jQuery));
